MONGOC_CLIENT_GET_COLLECTION(3)

NAME
mongoc_client_get_collection - mongoc_client_get_collection()

SYNOPSIS

        mongoc_collection_t *
        mongoc_client_get_collection (mongoc_client_t *client,
                                      const char *db,
                                      const char *collection);

Get a newly allocated mongoc_collection_t for the collection named collection in the database named db.

TIP:
        Collections are automatically created on the MongoDB server upon insertion of the first document. There is no need to create a collection manually.

PARAMETERS

    •   client: A mongoc_client_t.

    •   db: The name of the database containing the collection.

    •   collection: The name of the collection.

RETURNS

A newly allocated mongoc_collection_t that should be freed with mongoc_collection_destroy() when no longer in use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc